VarFunRap <- function(phi1,phi2){
    Summ <- matrix(nrow=length(phi1)*length(phi2),ncol=35)
    Summ <- data.frame(Summ)
    colnames(Summ)[1:2] <- c("phi1","phi2")
    colnames(Summ)[3:5] <- c("sig1","sig2","sig3")
    colnames(Summ)[6:8] <- c("sigTilde1","sigTilde2","sigTilde3")
    colnames(Summ)[9:11] <- c("sigTildeRe1","sigTildeRe2","sigTildeRe3")
    colnames(Summ)[12:14] <- c("sigPerf1","sigPerf2","sigPerf3")
    colnames(Summ)[15:20] <- c("Pfull11","Pfull12","Pfull13","Pfull21","Pfull22","Pfull23")    
    colnames(Summ)[21:26] <- c("Pre11","Pre12","Pre13","Pre21","Pre22","Pre23")    
    colnames(Summ)[27:29] <- c("RSd1","RSd2","RSd3")
    colnames(Summ)[30:32] <- c("RSd.re1","RSd.re2","RSd.re3")    
    colnames(Summ)[33:35] <- c("RSd.perf1","RSd.perf2","RSd.perf3")
    count <- 1
    i<-j<-1
    for(i in 1:length(phi1)){
        for(j in 1:length(phi2)){
            Summ[count, c("phi1", "phi2")] <- c(phi1[i], phi2[j])
            if(phi1[i]==0 & phi2[j]==0){Summ[count,-(1:2)] <- NA
                count <- count + 1 
            }
            if(phi1[i]!=0 | phi2[j]!=0){
                tmp <- VarFunTrue(phi1[i],phi2[j])
                Summ[count, c("sig1","sig2","sig3")] <- sqrt(diag(tmp$Sigma))
                Summ[count, c("sigTilde1","sigTilde2","sigTilde3")] <- sqrt(diag(tmp$Sigma.tilde))
                Summ[count, c("sigTildeRe1","sigTildeRe2","sigTildeRe3")] <- sqrt(diag(tmp$Sigma.tilde.re))
                Summ[count, c("sigPerf1","sigPerf2","sigPerf3")] <-  sqrt(diag(tmp$Sigma.perf))
                Summ[count, c("Pfull11","Pfull12","Pfull13","Pfull21","Pfull22","Pfull23")] <-
                    as.vector(t(tmp$Pfull))
                Summ[count, c("Pre11","Pre12","Pre13","Pre21","Pre22","Pre23")] <-  as.vector(t(tmp$Pre))
                Summ[count, c("RSd1","RSd2","RSd3")] <- (sqrt(diag(tmp$Sigma.tilde)) - sqrt(diag(tmp$Sigma))) /
                    sqrt(diag(tmp$Sigma)) * 100
                Summ[count, c("RSd.re1","RSd.re2","RSd.re3")] <-
                    (sqrt(diag(tmp$Sigma.tilde.re)) - sqrt(diag(tmp$Sigma))) / sqrt(diag(tmp$Sigma)) * 100
                Summ[count, c("RSd.perf1","RSd.perf2","RSd.perf3")] <-
                    (sqrt(diag(tmp$Sigma.perf)) - sqrt(diag(tmp$Sigma))) / sqrt(diag(tmp$Sigma)) *100
                count <- count + 1
            }
        }
    }
    return(data.frame(Summ))
}

