
PlotSimP <- function(Summ,Summ.sim,q,lwd=2){
    par(mfrow=c(2,2),mar=c(4,4,1,0))
    ylim=c(-0.6,1.2)
    matplot(Summ$phi2,cbind(Summ$Pfull11,Summ$Pfull12,Summ$Pfull13),type="l",ylim=ylim,
            ylab="Full",main="First row",xlab="",lwd=lwd,lty=1)
    abline(a=0,b=0,col="blue",lty=4,,lwd=lwd)
    abline(a=1,b=0,col="blue",lty=4,,lwd=lwd)
    lines(c(0,0),ylim,col="blue",lty=4,,lwd=lwd)

    I05 <- Summ.sim$q==q[1]
    I50 <- Summ.sim$q==q[2]
    I95 <- Summ.sim$q==q[3]
    matlines(Summ.sim$phi2[I05],Summ.sim[I05,c("Pfull11","Pfull12","Pfull13")],lty=3,lwd=lwd)
    matlines(Summ.sim$phi2[I50],Summ.sim[I50,c("Pfull11","Pfull12","Pfull13")],lty=2,lwd=lwd)
    matlines(Summ.sim$phi2[I95],Summ.sim[I95,c("Pfull11","Pfull12","Pfull13")],lty=3,lwd=lwd)

    matplot(Summ$phi2,cbind(Summ$Pfull21,Summ$Pfull22,Summ$Pfull23),type="l",ylim=ylim,
            ylab="",main="First row",xlab="",lty=1,lwd=lwd)
    abline(a=0,b=0,col="blue",lty=4,lwd=lwd)
    abline(a=1,b=0,col="blue",lty=4,lwd=lwd)
    lines(c(0,0),ylim,col="blue",lty=4)
    matlines(Summ.sim$phi2[I05],Summ.sim[I05,c("Pfull21","Pfull22","Pfull23")],lty=3,lwd=lwd)
    matlines(Summ.sim$phi2[I50],Summ.sim[I50,c("Pfull21","Pfull22","Pfull23")],lty=2,lwd=lwd)
    matlines(Summ.sim$phi2[I95],Summ.sim[I95,c("Pfull21","Pfull22","Pfull23")],lty=3,lwd=lwd)

    matplot(Summ$phi2,cbind(Summ$Pre11,Summ$Pre12,Summ$Pre13),type="l",ylim=ylim,
            ylab="Reduced",main="",xlab="phi2",lty=1,lwd=lwd)
    abline(a=0,b=0,col="blue",lty=4,lwd=lwd)
    abline(a=1,b=0,col="blue",lty=4,lwd=lwd)
    lines(c(0,0),ylim,col="blue",lty=4,lwd=lwd)
    matlines(Summ.sim$phi2[I05],Summ.sim[I05,c("Pre11","Pre12","Pre13")],lty=3,lwd=lwd)
    matlines(Summ.sim$phi2[I50],Summ.sim[I50,c("Pre11","Pre12","Pre13")],lty=2,lwd=lwd)
    matlines(Summ.sim$phi2[I95],Summ.sim[I95,c("Pre11","Pre12","Pre13")],lty=3,lwd=lwd)


    matplot(Summ$phi2,cbind(Summ$Pre21,Summ$Pre22,Summ$Pre23),type="l",ylim=ylim,
            ylab="",main="",xlab="phi2",lty=1,lwd=lwd)
    abline(a=0,b=0,col="blue",lty=4)
    abline(a=1,b=0,col="blue",lty=4)
    lines(c(0,0),ylim,col="blue",lty=4)
    matlines(Summ.sim$phi2[I05],Summ.sim[I05,c("Pre21","Pre22","Pre23")],lty=3,lwd=lwd)
    matlines(Summ.sim$phi2[I50],Summ.sim[I50,c("Pre21","Pre22","Pre23")],lty=2,lwd=lwd)
    matlines(Summ.sim$phi2[I95],Summ.sim[I95,c("Pre21","Pre22","Pre23")],lty=3,lwd=lwd)
}
