
PlotSimRSd <- function(Summ,Summ.sim,q,lwd=2){
    ylim <- c(-15,5)
    matplot(Summ$phi2,cbind(Summ$RSd1,Summ$RSd.re1,Summ$RSd.perf1),type="l",ylim=ylim,
            main="Annual level",ylab="RSd",xlab="phi2",lty=1,lwd=lwd)
    abline(a=0,b=0,lty=4,col="blue",lwd=lwd)
    I05 <- Summ.sim$q==q[1]
    I50 <- Summ.sim$q==q[2]
    I95 <- Summ.sim$q==q[3]
    matlines(Summ.sim$phi2[I05],Summ.sim[I05,c("RSd1","RSd.re1","RSd.perf1")],lty=3,lwd=lwd)
    matlines(Summ.sim$phi2[I50],Summ.sim[I50,c("RSd1","RSd.re1","RSd.perf1")],lty=2,lwd=lwd)
    matlines(Summ.sim$phi2[I95],Summ.sim[I95,c("RSd1","RSd.re1","RSd.perf1")],lty=3,lwd=lwd)

    matplot(Summ$phi2,cbind(Summ$RSd2,Summ$RSd.re2,Summ$RSd.perf2),type="l",ylim=ylim,
            main="Half-year 1",ylab="",xlab="phi2",lwd=lwd,lty=1)
    abline(a=0,b=0,lty=4,col="blue",lwd=2)
    matlines(Summ.sim$phi2[I05],Summ.sim[I05,c("RSd2","RSd.re2","RSd.perf2")],lty=3,lwd=lwd)
    matlines(Summ.sim$phi2[I50],Summ.sim[I50,c("RSd2","RSd.re2","RSd.perf2")],lty=2,lwd=lwd)
    matlines(Summ.sim$phi2[I95],Summ.sim[I95,c("RSd2","RSd.re2","RSd.perf2")],lty=3,lwd=lwd)

    matplot(Summ$phi2,cbind(Summ$RSd3,Summ$RSd.re3,Summ$RSd.perf3),type="l",ylim=ylim,
            main="Half-year 2",ylab="",xlab="phi2",lty=1,lwd=lwd)
    abline(a=0,b=0,lty=4,col="blue",main="Half-year 1",lwd=lwd)
    matlines(Summ.sim$phi2[I05],Summ.sim[I05,c("RSd3","RSd.re3","RSd.perf3")],lty=3,lwd=lwd)
    matlines(Summ.sim$phi2[I50],Summ.sim[I50,c("RSd3","RSd.re3","RSd.perf3")],lty=2,lwd=lwd)
    matlines(Summ.sim$phi2[I95],Summ.sim[I95,c("RSd3","RSd.re3","RSd.perf3")],lty=3,lwd=lwd)
}
