VarFunSim.k <- function(phi1, phi2, T.train, T.test, k, n.burnin = 1e4, sigma = 1){
    Summ <- matrix(nrow=k,ncol=33)
    Summ <- data.frame(Summ)
    colnames(Summ)[1:3] <- c("sig1","sig2","sig3")
    colnames(Summ)[4:6] <- c("sigTilde1","sigTilde2","sigTilde3")
    colnames(Summ)[7:9] <- c("sigTildeRe1","sigTildeRe2","sigTildeRe3")
    colnames(Summ)[10:12] <- c("sigPerf1","sigPerf2","sigPerf3")
    colnames(Summ)[13:18] <- c("Pfull11","Pfull12","Pfull13","Pfull21","Pfull22","Pfull23")    
    colnames(Summ)[19:24] <- c("Pre11","Pre12","Pre13","Pre21","Pre22","Pre23")    
    colnames(Summ)[25:27] <- c("RSd1","RSd2","RSd3")
    colnames(Summ)[28:30] <- c("RSd.re1","RSd.re2","RSd.re3")    
    colnames(Summ)[31:33] <- c("RSd.perf1","RSd.perf2","RSd.perf3")
    for(i in 1:k){
        tmp <- VarFunSim(phi1,phi2,T.train,T.test,n.burnin=1e4,sigma=1)
        Summ[i, c("sig1","sig2","sig3")] <- sqrt(diag(tmp$Sigma))
        Summ[i, c("sigTilde1","sigTilde2","sigTilde3")] <- sqrt(diag(tmp$Sigma.tilde))
        Summ[i, c("sigTildeRe1","sigTildeRe2","sigTildeRe3")] <-
                sqrt(diag(tmp$Sigma.tilde.re))
        Summ[i, c("sigPerf1","sigPerf2","sigPerf3")] <-  sqrt(diag(tmp$Sigma.perf))
        Summ[i, c("Pfull11","Pfull12","Pfull13","Pfull21","Pfull22","Pfull23")] <-
            as.vector(t(tmp$Pfull))
        Summ[i, c("Pre11","Pre12","Pre13","Pre21","Pre22","Pre23")] <- 
            as.vector(t(tmp$Pre))
        Summ[i, c("RSd1","RSd2","RSd3")] <- (sqrt(diag(tmp$Sigma.tilde)) -
                                             sqrt(diag(tmp$Sigma))) /
            sqrt(diag(tmp$Sigma)) * 100
        Summ[i, c("RSd.re1","RSd.re2","RSd.re3")] <-
            (sqrt(diag(tmp$Sigma.tilde.re)) - sqrt(diag(tmp$Sigma))) / sqrt(diag(tmp$Sigma)) *
            100
        Summ[i, c("RSd.perf1","RSd.perf2","RSd.perf3")] <-
            (sqrt(diag(tmp$Sigma.perf)) - sqrt(diag(tmp$Sigma))) / sqrt(diag(tmp$Sigma)) *100
    }
    return(data.frame(Summ))
}
