VarFunSimRap.k <- function(phi1, phi2, T.train, T.test, k, q, n.burnin = 1e4, sigma = 1){
    Summ <- c()
    for(i in 1:length(phi1)){
        for(j in 1:length(phi2)){
            tmp <- VarFunSim.k(phi1[i], phi2[j], T.train, T.test, k, n.burnin = 1e4, sigma = 1)
            tmp <- apply(tmp, 2,quantile,probs=q)
            Summ <- rbind(Summ, cbind(phi1=phi1[i], phi2=phi2[j], k, q, tmp))
        }
    }
    data.frame(Summ)
}
